%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:		drobo-utils
Version:	0.6.2.2
Release:	5%{?dist}
Summary:	Utilities for managing Drobo storage systems
Group:		Applications/System
License:	GPLv3+
URL:		http://drobo-utils.sourceforge.net/
Source0:	http://downloads.sourceforge.net/drobo-utils/%{name}-%{version}.tgz
Source1:	drobo-utils.desktop
Source2:	droboview.console
Source3:	droboview.pam
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	python-devel, desktop-file-utils, python-setuptools
Requires:	parted, python-ctypes

%description	
Drobo-utils is a set of Linux tools to query and manage Data Robotics Drobo
storage systems (Drobos).  This base package provides the command line
utility.

%package gui
Summary:	GUI utilities for managing Drobo storage systems
Group:		Applications/System
Requires:	PyQt4, drobo-utils, usermode

%description gui
Drobo-utils is a set of Linux tools to query and manage Data Robotics Drobo
storage systems (Drobos).  This package provides a graphical utility.

%prep
%setup -q

# Install the pam config so that droboview can request root privileges
install -p -m 644 %{SOURCE3} .

# Detect whether the system is using pam_stack
if test -f /%{_lib}/security/pam_stack.so \
   && ! grep "Deprecated pam_stack module" /%{_lib}/security/pam_stack.so \
      2>&1 > /dev/null; then
  perl -pi -e's,include(\s*)(.*),required\1pam_stack.so service=\2,' droboview.pam
  touch -r %{SOURCE3} droboview.pam
fi

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build
sed -i -e "s/\#\!\/.*//g" DroboGUI.py

%install
rm -rf $RPM_BUILD_ROOT
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT

#Make sure DroboGUI.py is executable
chmod a+x $RPM_BUILD_ROOT%{python_sitelib}/DroboGUI.py

#Install the menu entry
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}

#Install man files
install -d -m755 %{buildroot}%{_mandir}/man8/
install -m 644 drobom.8 %{buildroot}%{_mandir}/man8/
install -m 644 droboview.8 %{buildroot}%{_mandir}/man8/

#Setup consolehelper so droboview can request root privileges
ln -sf consolehelper $RPM_BUILD_ROOT%{_bindir}/droboview-root
mkdir -p %{buildroot}/etc/security/console.apps
mkdir -p %{buildroot}/etc/pam.d
install -p -m 644 %{SOURCE2} %{buildroot}/etc/security/console.apps/droboview-root
install -p -m 644 droboview.pam %{buildroot}/etc/pam.d/droboview-root

%clean
rm -rf $RPM_BUILD_ROOT

%post gui
update-desktop-database %{_datadir}/applications

%postun gui
update-desktop-database %{_datadir}/applications

%files
%defattr(-,root,root,-)
%doc CHANGES.txt CHANGES.html COPYING DEVELOPERS.txt DEVELOPERS.html DroboFirmwareWishes.txt QA.txt README.txt README.html drobom.html index.txt index.html
%doc %{_datadir}/%{name}-doc/*.html
%{_bindir}/drobom
%{python_sitelib}/Drobo*
%{_mandir}/man8/drobom.8*

%files gui
%defattr(-,root,root,-)
%doc droboview.html
%config %{_sysconfdir}/security/console.apps/droboview-root
%config %{_sysconfdir}/pam.d/droboview-root
%{_bindir}/droboview
%{_bindir}/droboview-root
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/Drobo*
%{_mandir}/man8/droboview.8*

%changelog
* Sun May 16 2010 Jameson Pugh (imntreal@gmail.com) - 0.6.2.2-5
-Fixed Python sitelib definition
-BuildRequires: python-setuptools

* Sun May 08 2010 Jameson Pugh (imntreal@gmail.com) - 0.6.2.2-4
-Incorporated several ideas from Ismael's package (e.g. split out gui package)

* Mon Mar 29 2010 Jameson Pugh (imntreal@gmail.com) - 0.6.2.2-3
-Setup for droboview to run as root

* Sun Feb 14 2010 Jameson Pugh (imntreal@gmail.com) - 0.6.2.2-2
-Put man pages in the right place

* Sun Feb 14 2010 Jameson Pugh (imntreal@gmail.com) - 0.6.2.2-1
-New release

* Sun Jan 10 2010 Jameson Pugh (imntreal@gmail.com) - 0.6.2.1-1
-New release

* Fri Oct 16 2009 Jameson Pugh (imntreal@gmail.com) - 0.6.1-1
-New release

* Sat Jul 04 2009 Jameson Pugh (imntreal@gmail.com) - 0.6.0-2
-Added man files

* Sat Jul 04 2009 Jameson Pugh (imntreal@gmail.com) - 0.6.0-1
-New release

* Thu Jan 29 2009 Jameson Pugh <imntreal@gmail.com> - 0.4.0r195-1
- Initial public release of the package
